Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.aTest.util
Class ATestSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.util.Switch<T>
          org.eclipse.amp.amf.testing.aTest.util.ATestSwitch<T>

    public class ATestSwitch<T>

extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `ATestPackage`

Field Summary
`protected static ATestPackage` | `modelPackage` The cached model package

Constructor Summary
`ATestSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseConstraint(Constraint object)` Returns the result of interpreting the object as an instance of 'Constraint'.
`T` | `caseModel(Model object)` Returns the result of interpreting the object as an instance of 'Model'.
`T` | `caseTestMember(TestMember object)` Returns the result of interpreting the object as an instance of 'Test Member'.
`T` | `caseTests(Tests object)` Returns the result of interpreting the object as an instance of 'Tests'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean` | `isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)` Checks whether this is a switch for the given package.

Methods inherited from class org.eclipse.emf.ecore.util.Switch
`doSwitch, doSwitch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ATestPackage modelPackage

  The cached model package

Constructor Detail

### ATestSwitch

    public ATestSwitch()

  Creates an instance of the switch.

Method Detail

### isSwitchFor

    protected boolean isSwitchFor(org.eclipse.emf.ecore.EPackage ePackage)

  Checks whether this is a switch for the given package.

  Specified by:
    `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Returns:
    whether this is a switch for the given package.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Overrides:
    `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseModel

    public T caseModel(Model object)

  Returns the result of interpreting the object as an instance of 'Model'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Model'.
  See Also:
    `doSwitch(EObject)`

### caseTests

    public T caseTests(Tests object)

  Returns the result of interpreting the object as an instance of 'Tests'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Tests'.
  See Also:
    `doSwitch(EObject)`

### caseTestMember

    public T caseTestMember(TestMember object)

  Returns the result of interpreting the object as an instance of 'Test Member'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Test Member'.
  See Also:
    `doSwitch(EObject)`

### caseConstraint

    public T caseConstraint(Constraint object)

  Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Overrides:
    `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD